<!DOCTYPE html>
<html lang="en">

{% import 'macros.html' as macro %}

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Parkiing</title>
  <!-- plugins:css -->
  <link rel="stylesheet" href="../../static/vendors/mdi/css/materialdesignicons.min.css">
  <link rel="stylesheet" href="../../static/vendors/base/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <link rel="stylesheet" href="../../static/vendors/datatables.net-bs4/dataTables.bootstrap4.css">
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="../../static/css/style.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="../../static/images/favicon.png" />
  <link rel="stylesheet" type="text/css" href="https://cdn-geoweb.s3.amazonaws.com/esri-leaflet-geocoder/0.0.1-beta.5/esri-leaflet-geocoder.css">

  <style type="text/css">
      #map { height: 300px; z-index:99; }
      .my-label {
        position: absolute;
        font-size:15px;
      }
  </style>
</head>
<body>
  <div class="container-scroller">
    <!-- partial:partials/_navbar.html -->
    <nav class="navbar col-lg-12 col-12 p-0 fixed-top d-flex flex-row">
      <div class="navbar-brand-wrapper d-flex justify-content-center">
        <div class="navbar-brand-inner-wrapper d-flex justify-content-between align-items-center w-100">
          <a class="navbar-brand brand-logo" href="/index"><img src="../../static/images/logo.svg" alt="logo"/></a>
          <a class="navbar-brand brand-logo-mini" href="/index"><img src="../../static/images/logo-mini.svg" alt="logo"/></a>
          <button class="navbar-toggler navbar-toggler align-self-center" type="button" data-toggle="minimize">
            <span class="mdi mdi-sort-variant"></span>
          </button>
        </div>
      </div>
      <div class="navbar-menu-wrapper d-flex align-items-center justify-content-end">
        <ul class="navbar-nav mr-lg-4 w-100">
          <li class="nav-item nav-search d-none d-lg-block w-100">
            <div class="input-group">
              <div class="input-group-prepend">
                <span class="input-group-text" id="search">
                  <i class="mdi mdi-magnify"></i>
                </span>
              </div>
              <input type="text" class="form-control" placeholder="Buscar" aria-label="search" aria-describedby="search">
            </div>
          </li>
        </ul>
        <ul class="navbar-nav navbar-nav-right">

          <li class="nav-item nav-profile dropdown">
            <a class="nav-link dropdown-toggle" href="../../static/#" data-bs-toggle="dropdown" id="profileDropdown">
              <img src="../../static/images/faces/face1.jpg" alt="profile"/>
              <span class="nav-profile-name">Usuario {{ current_user.id }}</span>
            </a>
            <div class="dropdown-menu dropdown-menu-right navbar-dropdown" aria-labelledby="profileDropdown">
              <a href="/config" class="dropdown-item">
                <i class="mdi mdi-settings text-primary"></i>
                Configuraciones
              </a>
              <a href="/logout" class="dropdown-item">
                <i class="mdi mdi-logout text-primary"></i>
                Salir
              </a>
            </div>
          </li>
        </ul>
        <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
          <span class="mdi mdi-menu"></span>
        </button>
      </div>
    </nav>



    <!-- partial -->
    <div class="container-fluid page-body-wrapper">
      <!-- partial:partials/_sidebar.html -->
      <nav class="sidebar sidebar-offcanvas" id="sidebar" style="z-index:100;">
        <ul class="nav">
          <li class="nav-item">
            <a class="nav-link" href="/index">
              <i class="mdi mdi-home menu-icon"></i>
              <span class="menu-title">Dashboard</span>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/config">
              <i class="mdi mdi-settings menu-icon"></i>
              <span class="menu-title">Configuraciones</span>
            </a>
          </li>
        </ul>
      </nav>
      <!-- partial -->
      <div class="main-panel">
        <div class="content-wrapper">

          <div class="row">
            <div class="col-md-12 grid-margin">
              <div class="d-flex justify-content-between flex-wrap">
                <div class="d-flex align-items-end flex-wrap">
                  <div class="me-md-3 me-xl-5">
                    <h2>{{ parking.name }}</h2>
                    <p class="mb-md-0">Detalle.</p>
                  </div>
                </div>
              </div>
            </div>
          </div>


          <div class="row">
            <div class="col-md-12 stretch-card">
              <div class="card">
                <div class="card-body">
                  <p class="card-title">Datos</p>

                  <div class="table-responsive">
                       <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                          <thead>
                          </thead>
                          <tbody>
                             <tr>
                                <td>Nombre</td>
                                <td>{{ parking.name }}</td>
                             </tr>
                             <tr>
                                <td>Precio</td>
                                <td>{{ price }}</td>
                             </tr>
                             <tr>
                                <td>Fecha inicio</td>
                                <td>{{ i_datetime }}</td>
                             </tr>
                             <tr>
                                <td>Fecha final</td>
                                <td>{{ f_datetime }}</td>
                             </tr>
                             <tr>
                                <td>Total de horas</td>
                                <td>{{ total_hours }}</td>
                             </tr>
                             <tr>
                                <td>Precio a pagar</td>
                                <td>{{ total_price }}</td>
                             </tr>
                          </tbody>
                       </table>
                    </div>

                </div>
              </div>
            </div>
          </div>

          <!--<div class="row">
            <div class="rating" style="">
              <span>☆</span><span>☆</span><span>☆</span><span>☆</span><span>☆</span>
            </div>
          </div>-->

        </div>
        <!-- content-wrapper ends -->
        <!-- partial:partials/_footer.html -->
        <footer class="footer">
        <div class="d-sm-flex justify-content-center justify-content-sm-between">
          <span class="text-muted text-center text-sm-left d-block d-sm-inline-block">Copyright © Parkiing 2022</span>
        </div>
        </footer>
        <!-- partial -->
      </div>
      <!-- main-panel ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->

  <!-- plugins:js -->
  <script src="../../static/vendors/base/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- Plugin js for this page-->
  <script src="../../static/vendors/chart.js/Chart.min.js"></script>
  <script src="../../static/vendors/datatables.net/jquery.dataTables.js"></script>
  <script src="../../static/vendors/datatables.net-bs4/dataTables.bootstrap4.js"></script>
  <!-- End plugin js for this page-->
  <!-- inject:js -->
  <script src="../../static/js/off-canvas.js"></script>
  <script src="../../static/js/hoverable-collapse.js"></script>
  <script src="../../static/js/template.js"></script>
  <!-- endinject -->
  <!-- Custom js for this page-->
  <script src="../../static/js/dashboard.js"></script>
  <script src="../../static/js/data-table.js"></script>
  <script src="../../static/js/jquery.dataTables.js"></script>
  <script src="../../static/js/dataTables.bootstrap4.js"></script>
  <!-- End custom js for this page-->

  <script src="../../static/js/jquery.cookie.js" type="text/javascript"></script>
</body>

</html>

